unit HotKeyPrintPlugin;

interface

uses
  Classes, Windows,
  ppPreview;

type

  TmyHotKeyPrint = class(TppPreview)
    public
      procedure KeyDown(var Key: Word; Shift: TShiftState); override;

  end;

implementation

{ TmyHotKeyPrint }

procedure TmyHotKeyPrint.KeyDown(var Key: Word; Shift: TShiftState);
begin

  inherited KeyDown(Key, Shift);

  if (Shift = []) and (Key = VK_F8) then
    Print;

end;

initialization
  TppPreviewPlugIn.Register(TmyHotKeyPrint);

finalization
  TppPreviewPlugIn.UnRegister(TmyHotKeyPrint);


end.
